std::pointer_traits< _Ptr >(3)

NAME
std::pointer_traits< _Ptr > - Uniform interface to all pointer-like types.

SYNOPSIS

  Public Types
using difference_type = __detected_or_t< ptrdiff_t, __difference_type, _Ptr >
The type used to represent the difference between two pointers.
using element_type = __detected_or_t< __get_first_arg_t< _Ptr >, __element_type, _Ptr >
The type pointed to.
using pointer = _Ptr
The pointer type.
template<typename _Up > using rebind = typename __rebind< _Ptr, _Up >::type
A pointer to a different type.

  Static Public Member Functions
static _Ptr pointer_to (__make_not_void< element_type > &__e)

Detailed Description

  template<typename _Ptr>
struct std::pointer_traits< _Ptr >" Uniform interface to all pointer-like types.

Definition at line 83 of file ptr_traits.h.

Member Typedef Documentation

  template<typename _Ptr > using std::pointer_traits< _Ptr >::difference_type = __detected_or_t<ptrdiff_t, __difference_type, _Ptr>

The type used to represent the difference between two pointers.

Definition at line 108 of file ptr_traits.h.

  template<typename _Ptr > using std::pointer_traits< _Ptr >::element_type = __detected_or_t<__get_first_arg_t<_Ptr>, __element_type, _Ptr>

The type pointed to.

Definition at line 104 of file ptr_traits.h.

  template<typename _Ptr > using std::pointer_traits< _Ptr >::pointer = _Ptr

The pointer type.

Definition at line 101 of file ptr_traits.h.

  template<typename _Ptr > template<typename _Up > using std::pointer_traits< _Ptr >::rebind = typename __rebind<_Ptr, _Up>::type

A pointer to a different type.

Definition at line 113 of file ptr_traits.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.